Page MenuHomePhabricator | MITK

Render window manager with custom multi widget: beta version
Closed, ResolvedPublic

Description

This tasks integrates the latest developments, presented in T25622.
It will include the latest changes and bugfixes before it will be merged into master as a first open test version.

  • solve initialization bugs
  • fix known bugs (T25705, T25706)
  • perform tests
  • build on Linux
  • merge into master (currently under review in D175)
  • hide from outcry

Important changes:

T25056

  • context menu actions removed from the data manager view
    • data manager now uses the QmitkDataNodeContextMenu from 'org.mitk.gui.qt.application'
    • hotkeys preference page uses the global actions - data manager does not contain any actions anymore
  • moved OpenRenderWindowPart from the data manager to the workbenchutil:
  • moved implementation of GetRenderWindowPart (with IRenderWindowPartStrategy) from the abstract view to the workbenchutil
    • possible migration conflict: views that rely on the QmitkAbstractView to provide IRenderWindowPartStrategy values now need to access the workbenchutil
    • => e.g. inside the QmitkSegmentationView: GetRenderWindowPart(OPEN) becomes GetRenderWindowPart(mitk::WorkbenchUtil::OPEN)
  • moved QmitkInfoDialog from the data manager plugin to 'org.mitk.gui.qt.application'
  • moved mitkIContextMenuAction from the data manager plugin to 'org.mitk.gui.qt.application'

T23758

  • set the default org.blueberry.ui.editors of QmitkStdMultiWidgetEditor to false
  • added QmitkCustomMultiWidget to the QtWidgets module
  • added QmitkRenderWindowWidget.cpp to the QtWidgets module
  • added org.mitk.gui.qt.custommultiwidgeteditor plugin
  • added QmitkMultiWidgetConfigurationToolBar to the QtWidgets module
  • added QmitkInteractionSchemeToolBar to the QtWidgets module
  • added QmitkMultiWidgetLayoutSelectionWidget to the QtWidgets module
  • added actions (with icons) in org.mitk.gui.qt.ext plugin
    • QmitkOpenCustomMultiWidgetEditorAction
    • QmitkOpenStdMultiWidgetEditorAction
  • added QmitkViewCoordinator::PartInputChanged
  • added IRenderWindowPartListener::RenderWindowPartInputChanged
  • refactored DisplayInteraction concept (Core changes)
    • added mitkDisplayActionEventBroadcast to the Core module
    • added mitkDisplayActionEventFunctions to the Core module
    • added mitkDisplayActionEvents to the Core module
    • added mitkDisplayActionEventHandler to the Core module
    • added mitkStdDisplayActionEventHandler to the Core module
    • added mitkInteractionSchemeSwitcher to the Core module
    • move GetTopLayerNode from mitkDisplayInteractor, QmitkImageNavigatorView and QmitkStdMultiWidget to the data storage and call it FindTopmostVisibleNode

T25601

  • mitkImageVtkMapper2D: made "LookupTable" property base renderer aware
  • added QmitkAbstractDataNodeAction and subclasses to org.mitk.gui.qt.application
  • added QmitkDataNodeContextMenu to org.mitk.gui.qt.application
  • changed QmitkDataNodeManagerView to use the new QmitkDataNodeContextMenu
  • remove all actions from the QmitkDataNodeManagerView
  • moved adding actions to node descriptors from the QmitkDataNodeManagerView to the QmitkDataNodeContextMenu

Details

Differential Revisions
Restricted Differential Revision

Event Timeline

kalali triaged this task as Normal priority.Nov 27 2018, 4:51 PM
kalali created this task.
kalali updated the task description. (Show Details)
kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
kalali updated the task description. (Show Details)Nov 28 2018, 1:56 PM
kalali updated the task description. (Show Details)Nov 28 2018, 6:00 PM
kalali updated the task description. (Show Details)Nov 29 2018, 12:15 PM
kalali updated the task description. (Show Details)Nov 29 2018, 5:42 PM
kalali updated the task description. (Show Details)Nov 30 2018, 10:52 AM
kalali updated the task description. (Show Details)Nov 30 2018, 12:14 PM
kalali updated the task description. (Show Details)Nov 30 2018, 6:08 PM
floca added a subscriber: floca.Nov 30 2018, 11:49 PM

Should we look together into that problem next week?

kalali updated the task description. (Show Details)Dec 4 2018, 5:57 PM
kalali updated the task description. (Show Details)Dec 6 2018, 3:59 PM
kalali updated the task description. (Show Details)Jan 2 2019, 3:17 PM
kalali removed kalali as the assignee of this task.Feb 20 2019, 10:25 AM

Needs to be reviewed in D175

kalali added a revision: Restricted Differential Revision.Mar 28 2019, 4:59 PM
kalali closed this task as Resolved.Apr 16 2019, 1:38 PM
kalali updated the task description. (Show Details)
kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 10 2019, 12:30 PM